INCLUDES = $(all_includes)

SUBDIRS = pics lib parts

bin_PROGRAMS = khexedit

khexedit_SOURCES = main.cpp toplevel.cpp hexmanagerwidget.cpp \
hexeditorwidget.cpp hextoolwidget.cpp hexviewwidget.cpp hexbuffer.cpp \
conversion.cpp dialog.cpp hexvalidator.cpp hexclipboard.cpp \
optiondialog.cpp printdialogpage.cpp statusbarprogress.cpp \
hexprinter.cpp hexerror.cpp draglabel.cpp stringdialog.cpp \
bitswapwidget.cpp chartabledialog.cpp hexdrag.cpp exportdialog.cpp \
fileinfodialog.cpp converterdialog.cpp listview.cpp searchbar.cpp

noinst_HEADERS = toplevel.h hexmanagerwidget.h hexeditorwidget.h \
hextoolwidget.h hexviewwidget.h hexbuffer.h conversion.h dialog.h \
hexvalidator.h hexclipboard.h optiondialog.h \
printdialogpage.h statusbarprogress.h hexprinter.h  hexerror.h \
draglabel.h progress.h hexeditstate.h chartabledialog.h hexdrag.h \
exportdialog.h fileinfodialog.h converterdialog.h listview.h searchbar.h

khexedit_METASOURCES = AUTO
khexedit_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
khexedit_LDADD = $(LIB_TDEIO) $(LIB_TDEPRINT)

xdg_apps_DATA = khexedit.desktop

KDE_ICON = khexedit

rcdir = $(kde_datadir)/khexedit
rc_DATA = khexeditui.rc

messages: rc.cpp
	$(EXTRACTRC) parts/kpart/*rc >> rc.cpp
	$(XGETTEXT) rc.cpp `find . -name \*.cpp` -o $(podir)/khexedit.pot
